//
//  WP_MineVC.swift
//  WallpaperHD_Live
//
//  Created by 忆海16 on 2024/7/22.
//

import UIKit

class WP_MineVC: WP_RootVC {
    
    @IBOutlet weak var aboutV: UIView!
    
  
    
    @IBOutlet weak var collectView: UIView!
    
    @IBOutlet weak var privacyView: UIView!
    
    @IBOutlet weak var feedView: UIView!
    
    @IBOutlet weak var userView: UIView!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()

        aboutV.layer.cornerRadius = 10
        collectView.layer.cornerRadius = 10
        privacyView.layer.cornerRadius = 10
        feedView.layer.cornerRadius = 10
        userView.layer.cornerRadius = 10

        
    }
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        self.navigationController?.navigationBar.isHidden = true

    }
    
    
    @IBAction func baboutBtn(_ sender: Any) {
        let vc = WP_AboutVC()
        navigationController?.pushViewController(vc, animated: true)
    }
    
   
    
    @IBAction func privacyBtn(_ sender: Any) {
        
        let vc = WP_PrivacyVC()
        vc.type = 0
        self.present(vc, animated: true)
        
    }
    
    @IBAction func collectionbtn(_ sender: Any) {
        let vc = WP_CollectionVC()
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
    @IBAction func feedBtn(_ sender: Any) {
        let vc = WP_FeedVC()
        navigationController?.pushViewController(vc, animated: true)
        
    }
    
    @IBAction func usag(_ sender: Any) {
        let  vc = WP_PrivacyVC()
        vc.type = 1
        self.present(vc, animated: true)
    }
    

    
}
